package com.neko.controller;

import com.neko.domain.dto.messageDto.SendMessageContentDto;
import com.neko.service.MessageService;
import com.neko.utils.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Date 2025/5/21 9:49
 * @Author neko
 **/
@RestController
@RequestMapping("/message")
public class MessageController {
    @Autowired
    MessageService messageService;

    /**
     * 消息发送
     * @param dto
     * @return
     */
    @RequestMapping("sendMessage")
    public boolean sendMessage(@RequestBody SendMessageContentDto dto){
        return messageService.sendMessage(dto);
    }
    @RequestMapping("chatHistory")
    public ResultVo chatHistory(@RequestParam("userId") String userId,@RequestParam("receiverId") String receiverId){
        System.err.println("userId:"+userId+"receiverId:"+receiverId);
        return messageService.findAll(userId,  receiverId);
    }
}
