package com.neko.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.neko.domain.dto.messageDto.SendMessageContentDto;
import com.neko.domain.pojo.Message;
import com.neko.utils.ResultVo;
import org.apache.ibatis.annotations.Param;

/**
* @author 金聪
* @description 针对表【message(消息主表)】的数据库操作Service
* @createDate 2025-05-18 20:59:28
*/
public interface MessageService extends IService<Message> {

    boolean sendMessage(SendMessageContentDto dto);


    ResultVo findAll(@Param("userId") String userId, @Param("receiverId") String receiverId);
}
